HMWJParserInternal::State Struct Reference

Internal: the state of a HMWJParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

long | m_zonesListBegin
| the list of zone begin More...
std::map< long, MWAWEntry > | m_zonesMap
| a map of entry: filepos->zone More...
std::vector< int > | m_zonesIdList
| an internal flag, used to know the actual id of a zone More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...
long | m_headerId
| the header text zone id or 0 More...
long | m_footerId
| the footer text zone id or 0 More...

## Detailed Description

Internal: the state of a HMWJParser.

## Constructor & Destructor Documentation

HMWJParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int HMWJParserInternal::State::m_actPage

the actual page

int HMWJParserInternal::State::m_footerHeight

the footer height if known

long HMWJParserInternal::State::m_footerId

the footer text zone id or 0

int HMWJParserInternal::State::m_headerHeight

the header height if known

long HMWJParserInternal::State::m_headerId

the header text zone id or 0

int HMWJParserInternal::State::m_numPages

the number of page of the final document

std::vector<int> HMWJParserInternal::State::m_zonesIdList

an internal flag, used to know the actual id of a zone

long HMWJParserInternal::State::m_zonesListBegin

the list of zone begin

std::map<long, MWAWEntry> HMWJParserInternal::State::m_zonesMap

a map of entry: filepos->zone

The documentation for this struct was generated from the following file:

- HMWJParser.cxx